#include <iostream>
using namespace std;
int main()
{
    int N, K,br,p=0;
    cin>>N;
    cin>>K;
    int niz[2*N+1];
    for(int i=0; i< 2*N+1; i++){
        niz[i]=0;
    }
    for(int j=0; j<N; j++){
        cin>>br;
        niz[br+N] = niz[br+N] + 1;
    }
    for(int t=0; t< 2*N+1; t++){
        if(niz[t]>=K){
          p++;
        } 
    }
    cout<<p<<endl;
    for(int l=0; l< 2*N+1; l++){
        if(niz[l]>=K){
          cout<< l-N<<" ";
          
        } 
    }
}